climate-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jo...@apache.org
Subject [1/2] climate git commit: CLIMATE-707 - Add initial conda env based Easy-OCW scripts
Date Fri, 20 Nov 2015 16:43:44 GMT
Repository: climate
Updated Branches:
  refs/heads/master 6b765fc5f -> 2f44cc65d


CLIMATE-707 - Add initial conda env based Easy-OCW scripts


Project: http://git-wip-us.apache.org/repos/asf/climate/repo
Commit: http://git-wip-us.apache.org/repos/asf/climate/commit/25351ad4
Tree: http://git-wip-us.apache.org/repos/asf/climate/tree/25351ad4
Diff: http://git-wip-us.apache.org/repos/asf/climate/diff/25351ad4

Branch: refs/heads/master
Commit: 25351ad4345ebbb2d0c0f1532cf759f12a664ab0
Parents: 6b765fc
Author: Michael Joyce <joyce@apache.org>
Authored: Thu Nov 19 14:14:27 2015 -0800
Committer: Michael Joyce <joyce@apache.org>
Committed: Thu Nov 19 14:14:27 2015 -0800

----------------------------------------------------------------------
 easy-ocw/conda-install.sh      | 44 +++++++++++++++++++++++++++++
 easy-ocw/conda_environment.txt | 55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/climate/blob/25351ad4/easy-ocw/conda-install.sh
----------------------------------------------------------------------
diff --git a/easy-ocw/conda-install.sh b/easy-ocw/conda-install.sh
new file mode 100755
index 0000000..0d07e68
--- /dev/null
+++ b/easy-ocw/conda-install.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Check if the user has conda installed. If not, we'll install Miniconda for them
+command -v conda >/dev/null 2>&1 || {
+    echo "Couldn't find conda. Attempting to install Miniconda"
+    OS=`uname -s`
+
+    if [ "${OS}" == "Darwin" ]; then
+        curl https://repo.continuum.io/miniconda/Miniconda-latest-MacOSX-x86_64.sh -o /tmp/miniconda.sh
+        bash /tmp/miniconda.sh
+    elif [ "${OS}" == "Linux" ]; then
+        if [ `uname -m` == "x86_64" ]; then
+            curl https://repo.continuum.io/miniconda/Miniconda-latest-Linux-x86_64.sh -o
/tmp/miniconda.sh
+        else
+            curl https://repo.continuum.io/miniconda/Miniconda-latest-Linux-x86.sh -o /tmp/miniconda.sh
+        fi
+        bash /tmp/miniconda.sh
+    else
+        echo "Unable to identify your OS. Please report this to the OCW List"
+        echo "dev@climate.apache.org"
+    fi
+
+    source ~/.bashrc
+}
+
+echo "Creating conda environment from ocw environment file"
+conda env create -f conda_environment.txt

http://git-wip-us.apache.org/repos/asf/climate/blob/25351ad4/easy-ocw/conda_environment.txt
----------------------------------------------------------------------
diff --git a/easy-ocw/conda_environment.txt b/easy-ocw/conda_environment.txt
new file mode 100644
index 0000000..1bd386f
--- /dev/null
+++ b/easy-ocw/conda_environment.txt
@@ -0,0 +1,55 @@
+name: OCW
+dependencies:
+- basemap=1.0.7=np18py27_0
+- curl=7.43.0=1
+- dateutil=2.4.1=py27_0
+- freetype=2.4.10=1
+- geos=3.3.3=0
+- h5py=2.5.0=np110py27_4
+- hdf5=1.8.15.1=2
+- krb5=1.13.2=0
+- libnetcdf=4.3.3.1=1
+- libpng=1.5.13=1
+- matplotlib=1.3.1=np18py27_1
+- netcdf4=1.1.9=np110py27_0
+- numpy=1.10.1=py27_0
+- openssl=1.0.1k=1
+- pip=7.1.2=py27_0
+- pyparsing=2.0.1=py27_0
+- python=2.7.10=1
+- pytz=2015.7=py27_0
+- readline=6.2=2
+- scipy=0.13.3=np18py27_0
+- setuptools=18.4=py27_0
+- six=1.10.0=py27_0
+- sqlite=3.8.4.1=1
+- tk=8.5.18=0
+- wheel=0.26.0=py27_1
+- zlib=1.2.8=0
+- pip:
+  - astroid==1.3.8
+  - beautifulsoup4==4.4.1
+  - bottle==0.11.6
+  - docutils==0.12
+  - esgf-pyclient==0.1.2
+  - genshi==0.7
+  - httplib2==0.9.2
+  - jinja2==2.8
+  - logilab-common==1.1.0
+  - markupsafe==0.23
+  - nose==1.3.3
+  - nose-exclude==0.2.0
+  - paste==2.0.2
+  - pastedeploy==1.5.2
+  - pastescript==2.0.2
+  - pydap==3.1.1
+  - pygments==2.0.2
+  - pylint==1.2.1
+  - python-dateutil==2.4.1
+  - requests==2.3.0
+  - sphinx==1.2.1
+  - sphinxcontrib-httpdomain==1.2.1
+  - waitress==0.8.10
+  - webob==1.5.1
+  - webtest==2.0.15
+


Mime
View raw message